Skip to Content
veriom

Advance onboarding journey

PUT
/v1/workspaces/{workspace_id}/onboarding/journey

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
expected_version*Expected Version
Range0 <= value
skipped?Skipped
Defaultfalse
stage_state?
target_stage*Target Stage

Response Body

Successful Response

application/json
  1. response
blockers*array<>
completed_at*|null
current_stage*Current Stage
skipped_stages*array<string>
stage_state*
stages*array<string>
updated_at*Updated At
Formatdate-time
user_id*User Id
Formatuuid
version*Version
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/onboarding/journey' \  -H 'Content-Type: application/json' \  -d '{  "expected_version": 0,  "target_stage": "string"}'
Example Response
{  "blockers": [    {}  ],  "completed_at": "2019-08-24T14:15:22Z",  "current_stage": "string",  "skipped_stages": [    "string"  ],  "stage_state": {},  "stages": [    "string"  ],  "updated_at": "2019-08-24T14:15:22Z",  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",  "version": 0,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}